Page MenuHomeFreeBSD

New port: x11-fonts/material-icons-ttf: Official Material Design icon set from Google
ClosedPublic

Authored by voidanix_420blaze.it on Jan 17 2019, 12:29 AM.

Details

Summary

Official Material Design icon set from Google.

Currently Google's GitHub repo doesn't provide the updated icons as expected as they are updated on their Google Fonts CDN.

The repository in this port uses the updated fonts from the CDN.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Lint Skipped
Unit
Unit Tests Skipped

Event Timeline

Use correct SVN branch

tcberner added inline comments.
head/x11-fonts/material-icons-ttf/Makefile
22

^ why not use this as PORTNAME?

head/x11-fonts/material-icons-ttf/pkg-descr
2

^ should be longer if you can figure out something sensible...

head/x11-fonts/material-icons-ttf/pkg-plist
1 ↗(On Diff #52907)

^ a bit few files for a file :)

Remove pkg-plist, extend pkg-descr

head/x11-fonts/material-icons-ttf/Makefile
23

@tcberner I'm not using it as PORTNAME because I don't wan't people to confuse the existing materialdesign-ttf port with this one as they are completely different.

It also feels a bit long to type :P

This revision was not accepted when it landed; it landed in state Needs Review.Jan 27 2019, 7:25 PM
This revision was automatically updated to reflect the committed changes.
mat added inline comments.Jan 28 2019, 1:59 PM
head/x11-fonts/material-icons-ttf/Makefile
22–24

Wrong place in the Makefile. See Chapter 15. Order of Variables in Port Makefiles.

27–28

Remove the / at the end of the lines.